tebarDocs
GuideDevelopersAPI ReferenceChangelog
Ideas

Update or move an idea

PATCH
/v1/ideas/{id}

Omitted fields stay unchanged. Send before_id or after_id to place the card.

Requires the write scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Path Parameters

id*string
Formatuuid

Header Parameters

Tebar-Profile?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Request Body

application/json
  1. body
text?string
Lengthlength <= 5000
media_ids?array<>
Itemsitems <= 20
column_id?string
Formatuuid
before_id?string
Formatuuid
after_id?string
Formatuuid

Response Body

The idea.

application/json
  1. response
id*string
Formatuuid
profile_id*string
Formatuuid
column_id*string
Formatuuid
text*string

On the board, cut to 280 characters (truncated says so).

truncated*boolean
media*array<>
used_in_posts*integer
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
Example Request
curl -X PATCH 'https://api.tebar.app/v1/ideas/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",
  "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",
  "text": "string",
  "truncated": true,
  "media": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "image",
      "expired": true,
      "public_url": "string",
      "poster_url": "string",
      "alt_text": "string"
    }
  ],
  "used_in_posts": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}